#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

typedef long long ll;


int main(int argc, char* argv[]) {
  registerGen(argc, argv, 1);
  int lim = 1e6;
  auto gen = [&] () {
    ll x = rnd.next(0, lim - 1);
    ll y = rnd.next(0, lim - 1);
    return max(1ll, x * lim + y);
  };
  cout << gen() << ' ' << gen() << '\n';
}
